Subject: bug#12911: 24.3.50; let users decide where (& perhaps whether) `emacs_backtrace.txt' files are written

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Nov 2012 20:13:03 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 19 Nov 2012 13:04:20 -0500
> 
> >> >> No need to change anything on platforms where stderr works.
> >> > stderr works on Windows as well.  See the code I wrote.
> >> If stderr works, then why do we need emacs_backtrace.txt?
> > For when the stuff written to stderr ends up in the Great Void, or
> > scrolls off the screen, or whatever.
> 
> Right.  That's what I meant by "stderr doesn't work" (IOW while it does
> work in some cases, it can't be relied upon).

But then your first sentence above applies not only to Windows,
because stderr "doesn't work" in this sense on Unix as well.

> So let me reword my suggestion:
> 
>   I suggested to change the code such that, in those cases where we need
>   to use emacs_backtrace.txt, we use ~/.emacs.d/backtrace.txt instead.

I already agreed to this, provided that Emacs puts stderr output there
on all platforms.